summaryrefslogtreecommitdiff
path: root/debian/tests/gui
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/gui')
-rwxr-xr-xdebian/tests/gui16
1 files changed, 10 insertions, 6 deletions
diff --git a/debian/tests/gui b/debian/tests/gui
index c204243..f5c0a5b 100755
--- a/debian/tests/gui
+++ b/debian/tests/gui
@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh -ex
# display glxinfo
@@ -6,10 +6,14 @@ glxinfo
# Check that the GUI can be started
-CMD="timeout --preserve-status 5s silx view"
-echo $CMD
-$($CMD)
+timeout --preserve-status 5s silx view
+ec=$?
-# skip the test for now
+# do not fail if the exit code is 143, it seems that there is an
+# issue with mesa 16/04/2024.
-$?
+if [ $ec -eq 143 ]; then
+ exit 0;
+else
+ exit $ec;
+fi